// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

hsmod[hsmod.length]="Rational TSS for Visual Basic";

var wwhtop = foldersTree;

var wwh949199=new Folder("Preface", "preface.htm#1053460");
wwhtop.addChild(wwh949199);

wwh949199.addChild(new Item("About This Manual", "preface2.htm#1055495"));
wwh949199.addChild(new Item("Audience", "preface3.htm#1041040"));
wwh949199.addChild(new Item("Other Resources", "preface4.htm#1041668"));
wwh949199.addChild(new Item("Integrations Between Rational Testing Tools and Other&nbsp;Rational Products", "preface5.htm#1060271"));
wwh949199.addChild(new Item("Contacting Rational Technical Publications", "preface6.htm#1055549"));
wwh949199.addChild(new Item("Contacting Rational Customer Support", "preface7.htm#1055382"));
var wwh949215=new Folder("Introduction", "intro.htm#1104809");
wwhtop.addChild(wwh949215);

var wwh949217=new Folder("About Visual Basic Test Script Services", "intro2.htm#1104796");
wwh949215.addChild(wwh949217);

wwh949217.addChild(new Item("Using Test Script Services with Rational TestManager", "intro2.htm#1155531"));
wwh949217.addChild(new Item("Using Test Script Services with Rational QualityArchitect", "intro2.htm#1155745"));
wwh949217.addChild(new Item("Summary of Services", "intro2.htm#1153973"));
var wwh949227=new Folder("Working with Test Scripts", "scripts.htm#1104809");
wwhtop.addChild(wwh949227);

wwh949227.addChild(new Item("About Visual Basic Test Scripts", "scripts2.htm#1121818"));
var wwh949231=new Folder("Creating Test Scripts", "scripts3.htm#1150432");
wwh949227.addChild(wwh949231);

wwh949231.addChild(new Item("Entry Points", "scripts3.htm#1355147"));
wwh949231.addChild(new Item("Registering Test Script Source Folders", "scripts3.htm#1252430"));
wwh949231.addChild(new Item("Test Script Components", "scripts3.htm#1393878"));
wwh949231.addChild(new Item("Updating the Project File", "scripts3.htm#1393889"));
var wwh949241=new Folder("Editing and Storing Test Scripts", "scripts4.htm#1290242");
wwh949227.addChild(wwh949241);

wwh949241.addChild(new Item("Test Script Names", "scripts4.htm#1278714"));
var wwh949245=new Folder("Compiling Test Scripts", "scripts5.htm#1154652");
wwh949227.addChild(wwh949245);

wwh949245.addChild(new Item("Name of the Compiled File", "scripts5.htm#1394086"));
wwh949245.addChild(new Item("Name-Checking at Playback", "scripts5.htm#1394093"));
var wwh949251=new Folder("Running Test Scripts", "scripts6.htm#1379109");
wwh949227.addChild(wwh949251);

wwh949251.addChild(new Item("Running Test Scripts in a TestManager Suite", "scripts6.htm#1379283"));
wwh949251.addChild(new Item("Running Test Scripts Outside TestManager", "scripts6.htm#1175656"));
var wwh949257=new Folder("Using Test Script Options", "scripts7.htm#1393435");
wwh949227.addChild(wwh949257);

wwh949257.addChild(new Item("Editing Test Script Options for a Test Script Type", "scripts7.htm#1393454"));
wwh949257.addChild(new Item("Editing Test Script Options for a Test Script Source", "scripts7.htm#1393464"));
wwh949257.addChild(new Item("Editing Test Script Options for a Test Script", "scripts7.htm#1393478"));
wwh949257.addChild(new Item("Editing Test Script Options for an Instance in a Suite", "scripts7.htm#1393488"));
wwh949257.addChild(new Item("Editing Test Script Options for a Test Case Instance", "scripts7.htm#1393499"));
wwh949257.addChild(new Item("Setting or Viewing Option Values", "scripts7.htm#1393511"));
wwh949257.addChild(new Item("Moving a Test Script to a Different Computer for Playback", "scripts7.htm#1394486"));
var wwh949273=new Folder("Returning Information from Test Scripts", "scripts8.htm#1198328");
wwh949227.addChild(wwh949273);

wwh949273.addChild(new Item("Test Log", "scripts8.htm#1198402"));
wwh949273.addChild(new Item("Error File and Output File", "scripts8.htm#1198414"));
wwh949273.addChild(new Item("TestManager Shared Memory", "scripts8.htm#1198423"));
wwh949227.addChild(new Item("Trapping Errors", "scripts9.htm#1213284"));
var wwh949287=new Folder("Test Script Services Reference", "tssapi.htm#434258");
wwhtop.addChild(wwh949287);

wwh949287.addChild(new Item("About Test Script Services", "tssapi2.htm#434260"));
var wwh949291=new Folder("Datapool Class", "tssapi3.htm#2286734");
wwh949287.addChild(wwh949291);

wwh949291.addChild(new Item("Summary", "tssapi3.htm#2510800"));
wwh949291.addChild(new Item("TSSDatapool.Close", "tssapi3.htm#2042080"));
wwh949291.addChild(new Item("TSSDatapool.ColumnCount", "tssapi3.htm#2280482"));
wwh949291.addChild(new Item("TSSDatapool.ColumnName", "tssapi3.htm#2280553"));
wwh949291.addChild(new Item("TSSDatapool.Fetch", "tssapi3.htm#2042707"));
wwh949291.addChild(new Item("TSSDatapool.Open", "tssapi3.htm#424918"));
wwh949291.addChild(new Item("TSSDatapool.Rewind", "tssapi3.htm#2267647"));
wwh949291.addChild(new Item("TSSDatapool.RowCount", "tssapi3.htm#2043112"));
wwh949291.addChild(new Item("TSSDatapool.Search", "tssapi3.htm#424993"));
wwh949291.addChild(new Item("TSSDatapool.Seek", "tssapi3.htm#3089938"));
wwh949291.addChild(new Item("TSSDatapool.Value", "tssapi3.htm#2043654"));
var wwh949315=new Folder("Logging Class", "tssapi4.htm#434986");
wwh949287.addChild(wwh949315);

wwh949315.addChild(new Item("Summary", "tssapi4.htm#2513005"));
wwh949315.addChild(new Item("TSSLog.Event", "tssapi4.htm#653922"));
wwh949315.addChild(new Item("TSSLog.Message", "tssapi4.htm#434440"));
wwh949315.addChild(new Item("TSSLog.TestCaseResult", "tssapi4.htm#434472"));
var wwh949325=new Folder("Measurement Class", "tssapi5.htm#425053");
wwh949287.addChild(wwh949325);

wwh949325.addChild(new Item("Summary", "tssapi5.htm#969480"));
wwh949325.addChild(new Item("TSSMeasure.CommandEnd", "tssapi5.htm#2040039"));
wwh949325.addChild(new Item("TSSMeasure.CommandStart", "tssapi5.htm#515315"));
wwh949325.addChild(new Item("TSSMeasure.EnvironmentOp", "tssapi5.htm#487608"));
wwh949325.addChild(new Item("TSSMeasure.GetTime", "tssapi5.htm#2039741"));
wwh949325.addChild(new Item("TSSMeasure.InternalVarGet", "tssapi5.htm#487669"));
wwh949325.addChild(new Item("TSSMeasure.Think", "tssapi5.htm#2039425"));
wwh949325.addChild(new Item("TSSMeasure.TimerStart", "tssapi5.htm#2040297"));
wwh949325.addChild(new Item("TSSMeasure.TimerStop", "tssapi5.htm#2040354"));
var wwh949345=new Folder("Utility Class", "tssapi6.htm#425275");
wwh949287.addChild(wwh949345);

wwh949345.addChild(new Item("Summary", "tssapi6.htm#2515427"));
wwh949345.addChild(new Item("TSSUtility.ApplicationPid", "tssapi6.htm#5106461"));
wwh949345.addChild(new Item("TSSUtility.ApplicationStart", "tssapi6.htm#5107192"));
wwh949345.addChild(new Item("TSSUtility.ApplicationWait", "tssapi6.htm#5110936"));
wwh949345.addChild(new Item("TSSUtility.Delay", "tssapi6.htm#5111803"));
wwh949345.addChild(new Item("TSSUtility.ErrorDetail", "tssapi6.htm#425278"));
wwh949345.addChild(new Item("TSSUtility.GetComputerConfigurationAttributeList", "tssapi6.htm#5167787"));
wwh949345.addChild(new Item("TSSUtility.GetComputerConfigurationAttributeValue", "tssapi6.htm#5175239"));
wwh949345.addChild(new Item("TSSUtility.GetPath", "tssapi6.htm#5167842"));
wwh949345.addChild(new Item("TSSUtility.GetScriptOption", "tssapi6.htm#425285"));
wwh949345.addChild(new Item("TSSUtility.GetTestCaseConfigurationAttribute", "tssapi6.htm#5174637"));
wwh949345.addChild(new Item("TSSUtility.GetTestCaseConfigurationAttributeList", "tssapi6.htm#5179729"));
wwh949345.addChild(new Item("TSSUtility.GetTestCaseConfigurationName", "tssapi6.htm#2292189"));
wwh949345.addChild(new Item("TSSUtility.GetTestCaseName", "tssapi6.htm#5115789"));
wwh949345.addChild(new Item("TSSUtility.GetTestToolOption", "tssapi6.htm#5184704"));
wwh949345.addChild(new Item("TSSUtility.NegExp", "tssapi6.htm#2037913"));
wwh949345.addChild(new Item("TSSUtility.Rand", "tssapi6.htm#552727"));
wwh949345.addChild(new Item("TSSUtility.SeedRand", "tssapi6.htm#2037432"));
wwh949345.addChild(new Item("TSSUtility.StdErrPrint", "tssapi6.htm#2036450"));
wwh949345.addChild(new Item("TSSUtility.StdOutPrint", "tssapi6.htm#641402"));
wwh949345.addChild(new Item("TSSUtility.Uniform", "tssapi6.htm#2036881"));
wwh949345.addChild(new Item("TSSUtility.UniqueString", "tssapi6.htm#5187617"));
var wwh949391=new Folder("Monitor Class", "tssapi7.htm#425367");
wwh949287.addChild(wwh949391);

wwh949391.addChild(new Item("Summary", "tssapi7.htm#2516784"));
wwh949391.addChild(new Item("TSSMonitor.Display", "tssapi7.htm#425369"));
wwh949391.addChild(new Item("TSSMonitor.PositionGet", "tssapi7.htm#2034046"));
wwh949391.addChild(new Item("TSSMonitor.PositionSet", "tssapi7.htm#898408"));
wwh949391.addChild(new Item("TSSMonitor.ReportCommandStatus", "tssapi7.htm#425485"));
wwh949391.addChild(new Item("TSSMonitor.RunStateGet", "tssapi7.htm#2034858"));
wwh949391.addChild(new Item("TSSMonitor.RunStateSet", "tssapi7.htm#2035711"));
var wwh949407=new Folder("Synchronization Class", "tssapi8.htm#425498");
wwh949287.addChild(wwh949407);

wwh949407.addChild(new Item("Summary", "tssapi8.htm#2516849"));
wwh949407.addChild(new Item("TSSSync.SharedVarAssign", "tssapi8.htm#2032647"));
wwh949407.addChild(new Item("TSSSync.SharedVarEval", "tssapi8.htm#425514"));
wwh949407.addChild(new Item("TSSSync.SharedVarWait", "tssapi8.htm#425557"));
wwh949407.addChild(new Item("TSSSync.SyncPoint", "tssapi8.htm#2033316"));
var wwh949419=new Folder("Session Class", "tssapi9.htm#425573");
wwh949287.addChild(wwh949419);

wwh949419.addChild(new Item("Summary", "tssapi9.htm#2516898"));
wwh949419.addChild(new Item("TSSSession.Connect", "tssapi9.htm#7675083"));
wwh949419.addChild(new Item("TSSSession.Context", "tssapi9.htm#4892132"));
wwh949419.addChild(new Item("TSSSession.Disconnect", "tssapi9.htm#7675645"));
wwh949419.addChild(new Item("TSSSession.ServerStart", "tssapi9.htm#2031686"));
wwh949419.addChild(new Item("TSSSession.ServerStop", "tssapi9.htm#2031730"));
wwh949419.addChild(new Item("TSSSession.Shutdown", "tssapi9.htm#7676160"));
var wwh949435=new Folder("Advanced Class", "tssapi10.htm#425647");
wwh949287.addChild(wwh949435);

wwh949435.addChild(new Item("Summary", "tssapi10.htm#2516982"));
wwh949435.addChild(new Item("TSSAdvanced.InternalVarSet", "tssapi10.htm#2031121"));
wwh949435.addChild(new Item("TSSAdvanced.LogCommand", "tssapi10.htm#425657"));
wwh949435.addChild(new Item("TSSAdvanced.ThinkTime", "tssapi10.htm#2894505"));
var wwh949447=new Folder("Extended Test Script Services Reference", "tssexten.htm#1106813");
wwhtop.addChild(wwh949447);

var wwh949449=new Folder("About the Extensions", "tssexte2.htm#1108064");
wwh949447.addChild(wwh949449);

wwh949449.addChild(new Item("Requirements for Using the Test Script Services Extensions", "tssexte2.htm#1108082"));
var wwh949453=new Folder("LookUpTable Class", "tssexte3.htm#1108089");
wwh949447.addChild(wwh949453);

wwh949453.addChild(new Item("Summary", "tssexte3.htm#1108100"));
wwh949453.addChild(new Item("LookUpTable.Open", "tssexte3.htm#1115734"));
wwh949453.addChild(new Item("LookUpTable.Close", "tssexte3.htm#1108135"));
wwh949453.addChild(new Item("LookUpTable.Search", "tssexte3.htm#1108151"));
var wwh949463=new Folder("TestLog Class", "tssexte4.htm#1108174");
wwh949447.addChild(wwh949463);

wwh949463.addChild(new Item("Summary", "tssexte4.htm#1108182"));
wwh949463.addChild(new Item("TestLog.Message", "tssexte4.htm#1108209"));
wwh949463.addChild(new Item("TestLog.WriteError", "tssexte4.htm#1111622"));
wwh949463.addChild(new Item("TestLog.WriteStubError", "tssexte4.htm#1108229"));
wwh949463.addChild(new Item("TestLog.WriteStubMessage", "tssexte4.htm#1108249"));
var wwh949477=new Folder("Verification Services", "vpservic.htm#1201679");
wwhtop.addChild(wwh949477);

wwh949477.addChild(new Item("Introduction to Verification Points", "vpservi2.htm#1201718"));
var wwh949481=new Folder("About Verification Points", "vpservi3.htm#1201765");
wwh949477.addChild(wwh949481);

wwh949481.addChild(new Item("Roles in Working with Verification Points", "vpservi3.htm#1208650"));
wwh949477.addChild(new Item("How Data Is Verified", "vpservi4.htm#1204908"));
var wwh949487=new Folder("Types of Verification Points", "vpservi5.htm#1206909");
wwh949477.addChild(wwh949487);

wwh949487.addChild(new Item("Static Verification Points", "vpservi5.htm#1208501"));
wwh949487.addChild(new Item("Dynamic Verification Points", "vpservi5.htm#1201856"));
wwh949487.addChild(new Item("Manual Verification Points", "vpservi5.htm#1201863"));
var wwh949495=new Folder("Verification Point Framework", "vpservi6.htm#1207330");
wwh949477.addChild(wwh949495);

wwh949495.addChild(new Item("Verification Point Classes", "vpservi6.htm#1201900"));
var wwh949499=new Folder("Setting Up Verification Points in Test Scripts", "vpservi7.htm#1201915");
wwh949477.addChild(wwh949499);

wwh949499.addChild(new Item("Setting Up a Static Verification Point", "vpservi7.htm#1201920"));
wwh949499.addChild(new Item("Setting Up a Dynamic Verification Point", "vpservi7.htm#1201982"));
wwh949499.addChild(new Item("Setting Up a Manual Verification Point", "vpservi7.htm#1201994"));
var wwh949513=new Folder("Database Verification Point Reference", "vpdataba.htm#1108718");
wwhtop.addChild(wwh949513);

var wwh949515=new Folder("About the Database Verification Point", "vpdatab2.htm#1203940");
wwh949513.addChild(wwh949515);

wwh949515.addChild(new Item("Requirements for Using the Database Verification Point", "vpdatab2.htm#1203943"));
wwh949515.addChild(new Item("Components of the Database Verification Point", "vpdatab2.htm#1203945"));
wwh949515.addChild(new Item("Type Libraries", "vpdatab2.htm#1203975"));
wwh949515.addChild(new Item("Examples", "vpdatab2.htm#1205945"));
var wwh949529=new Folder("IDatabaseVP Interface", "vpdatab3.htm#1204575");
wwh949513.addChild(wwh949529);

wwh949529.addChild(new Item("Summary", "vpdatab3.htm#1204004"));
var wwh949533=new Folder("IDatabaseVPData Interface", "vpdatab4.htm#1204036");
wwh949513.addChild(wwh949533);

wwh949533.addChild(new Item("Summary", "vpdatab4.htm#1204044"));
var wwh949537=new Folder("IVerificationPoint Interface", "vpdatab5.htm#1204076");
wwh949513.addChild(wwh949537);

wwh949537.addChild(new Item("Summary", "vpdatab5.htm#1204086"));
var wwh949541=new Folder("IVPFramework Interface", "vpdatab6.htm#1205472");
wwh949513.addChild(wwh949541);

wwh949541.addChild(new Item("Summary", "vpdatab6.htm#1204109"));
wwh949541.addChild(new Item("VPFramework.PerformTest", "vpdatab6.htm#1204134"));
var wwh949549=new Folder("Verification Point Framework Reference", "vpframew.htm#1108718");
wwhtop.addChild(wwh949549);

var wwh949551=new Folder("About the Verification Point Framework", "vpframe2.htm#1202272");
wwh949549.addChild(wwh949551);

wwh949551.addChild(new Item("Requirements for Using the Verification Point Framework", "vpframe2.htm#1202276"));
wwh949551.addChild(new Item("Verification Point Framework Components", "vpframe2.htm#1202279"));
wwh949551.addChild(new Item("Type Libraries", "vpframe2.htm#1214640"));
var wwh949559=new Folder("IVerificationPoint Interface", "vpframe3.htm#1202332");
wwh949549.addChild(wwh949559);

wwh949559.addChild(new Item("Summary", "vpframe3.htm#1202356"));
wwh949559.addChild(new Item("IVerificationPoint.CodeFactoryGetConstructorInvocation", "vpframe3.htm#1212706"));
wwh949559.addChild(new Item("IVerificationPoint.CodeFactoryGetExternalizedInputDecl", "vpframe3.htm#1202427"));
wwh949559.addChild(new Item("IVerificationPoint.CodeFactoryGetExternalizedInputInit", "vpframe3.htm#1202456"));
wwh949559.addChild(new Item("IVerificationPoint.CodeFactoryGetNumExternalizedInputs", "vpframe3.htm#1202485"));
wwh949559.addChild(new Item("IVerificationPoint.CodeFactoryGetNumPropertySet", "vpframe3.htm#1202508"));
wwh949559.addChild(new Item("IVerificationPoint.CodeFactoryGetPropertySet", "vpframe3.htm#1202532"));
wwh949559.addChild(new Item("IVerificationPoint.DefineVP", "vpframe3.htm#1202586"));
var wwh949577=new Folder("IVPFramework Interface", "vpframe4.htm#1202799");
wwh949549.addChild(wwh949577);

wwh949577.addChild(new Item("Summary", "vpframe4.htm#1202807"));
wwh949577.addChild(new Item("IVPFramework.PerformTest", "vpframe4.htm#1202842"));
var wwh949583=new Folder("IVerificationPointComparator Interface", "vpframe5.htm#1202880");
wwh949549.addChild(wwh949583);

wwh949583.addChild(new Item("IVerificationPointComparator.Compare", "vpframe5.htm#1202888"));
var wwh949587=new Folder("IVerificationPointData Interface", "vpframe6.htm#1202917");
wwh949549.addChild(wwh949587);

wwh949587.addChild(new Item("IVerificationPointData.FileExtension", "vpframe6.htm#1202928"));
var wwh949591=new Folder("IVerificationPointDataProvider Interface", "vpframe7.htm#1202985");
wwh949549.addChild(wwh949591);

wwh949591.addChild(new Item("IVerificationPointDataProvider.CaptureData", "vpframe7.htm#1202997"));
var wwh949595=new Folder("IVerificationPointDataRenderer Interface", "vpframe8.htm#1203020");
wwh949549.addChild(wwh949595);

wwh949595.addChild(new Item("IVerificationPointDataRenderer.DisplayAndValidateData", "vpframe8.htm#1203029"));
var wwh949599=new Folder("IVPPlumbing Interface", "vpframe9.htm#1203054");
wwh949549.addChild(wwh949599);

wwh949599.addChild(new Item("Summary", "vpframe9.htm#1203061"));
wwh949599.addChild(new Item("IVPPlumbing.InitializeFramework", "vpframe9.htm#1203109"));
wwh949599.addChild(new Item("IVPPlumbing.InitializeVP", "vpframe9.htm#1203135"));
var wwh949609=new Folder("Configuring Datapools, Synchronization Points, and Shared Variables", "config.htm#998197");
wwhtop.addChild(wwh949609);

wwh949609.addChild(new Item("About Script Configuration", "config2.htm#999014"));
wwh949609.addChild(new Item("Datapool Configuration", "config3.htm#1009496"));
var wwh949615=new Folder("Synchronization Point and Shared Variable Configuration", "config4.htm#1009528");
wwh949609.addChild(wwh949615);

wwh949615.addChild(new Item("Adding String Table Data to a Resource File", "config4.htm#1009540"));
var wwh949621=new Folder("Environment and Internal Variable Arguments", "envandin.htm#998197");
wwhtop.addChild(wwh949621);

wwh949621.addChild(new Item("Arguments of TSSMeasure.EnvironmentOp", "envandi2.htm#1004693"));
wwh949621.addChild(new Item("Arguments of TSSMeasure.InternalVarGet", "envandi3.htm#1052376"));
var wwh949629=new Folder("RTCOM Support Class", "vbrtcom.htm#1104809");
wwhtop.addChild(wwh949629);

var wwh949631=new Folder("About RTCOM", "vbrtcom2.htm#1123727");
wwh949629.addChild(wwh949631);

wwh949631.addChild(new Item("Summary", "vbrtcom2.htm#1151194"));
wwh949631.addChild(new Item("ErrorArray", "vbrtcom2.htm#1123802"));
wwh949631.addChild(new Item("GetDatapoolAccessFlags", "vbrtcom2.htm#1123853"));
wwh949631.addChild(new Item("GetDatapoolOverrideList", "vbrtcom2.htm#1123887"));
wwh949631.addChild(new Item("Monitor", "vbrtcom2.htm#1123945"));
wwh949631.addChild(new Item("SetCMDID", "vbrtcom2.htm#1150176"));
var wwh949647=new Folder("Implementing a New Verification Point", "vpimplem.htm#1201679");
wwhtop.addChild(wwh949647);

wwh949647.addChild(new Item("Introduction to Verification Point Implementation", "vpimple2.htm#1201718"));
var wwh949651=new Folder("Fundamentals for Implementing a Verification Point", "vpimple3.htm#1203533");
wwh949647.addChild(wwh949651);

wwh949651.addChild(new Item("Task Summary", "vpimple3.htm#1203696"));
wwh949651.addChild(new Item("Interface for Your Verification Point Component", "vpimple3.htm#1208681"));
wwh949651.addChild(new Item("The Verification Point Component", "vpimple3.htm#1204005"));
wwh949651.addChild(new Item("Interface for Your Verification Point Data Component", "vpimple3.htm#1207585"));
wwh949651.addChild(new Item("The Verification Point Data Component", "vpimple3.htm#1206797"));
wwh949651.addChild(new Item("The Verification Point Data Comparator Component", "vpimple3.htm#1203854"));
wwh949651.addChild(new Item("The Verification Point Data Provider Component", "vpimple3.htm#1203855"));
wwh949651.addChild(new Item("The Verification Point Data Renderer Component", "vpimple3.htm#1203856"));
wwh949647.addChild(new Item("Integrating Your Verification Point with QualityArchitect", "vpimple4.htm#1209353"));
wwhtop.addChild(new Item("IDL Equivalents", "idlequiv.htm#1206296"));

